Bug 1186613 - (CVE-2020-22031) VUL-1: CVE-2020-22031: ffmpeg: A Heap-based Buffer Overflow vulnerability exists at libavfilter/vf_w3fdif.c in filter16_complex_low()
(CVE-2020-22031)
VUL-1: CVE-2020-22031: ffmpeg: A Heap-based Buffer Overflow vulnerability exi...
Status: IN_PROGRESS
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P4 - Low : Minor
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/300945/
CVSSv3.1:SUSE:CVE-2020-22031:5.5:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2021-05-28 14:02 UTC by Robert Frohl
Modified: 2021-11-04 07:57 UTC (History)
4 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Frohl 2021-05-28 14:02:19 UTC
CVE-2020-22031

A Heap-based Buffer Overflow vulnerability exists in FFmpeg 4.2 at
libavfilter/vf_w3fdif.c in filter16_complex_low, which might lead to memory
corruption and other potential consequences.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2020-22031
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-22031
https://trac.ffmpeg.org/attachment/ticket/8243/gdb-vf_w3fdif_191
https://trac.ffmpeg.org/ticket/8243
Comment 1 Robert Frohl 2021-05-28 14:03:11 UTC
ffmpeg 3.4.2 asan:

==29159==ERROR: AddressSanitizer: heap-buffer-overflow on address 0x619000001460 at pc 0x0000007d8fd0 bp 0x7ffcddae2510 sp 0x7ffcddae2508
READ of size 2 at 0x619000001460 thread T0                 
    #0 0x7d8fcf in filter16_complex_low libavfilter/vf_w3fdif.c:191
    #1 0x7dae1a in deinterlace_slice libavfilter/vf_w3fdif.c:406
    #2 0x657dfb in worker_func libavfilter/pthread.c:50    
    #3 0x2672507 in run_jobs libavutil/slicethread.c:61    
    #4 0x2672507 in avpriv_slicethread_execute libavutil/slicethread.c:192
    #5 0x657f46 in thread_execute libavfilter/pthread.c:72 
    #6 0x7d9fdd in filter libavfilter/vf_w3fdif.c:480      
    #7 0x7da45f in filter_frame libavfilter/vf_w3fdif.c:519 
    #8 0x61f4d5 in ff_filter_frame_framed libavfilter/avfilter.c:1142
    #9 0x61f4d5 in ff_filter_frame_to_filter libavfilter/avfilter.c:1290
    #10 0x61f4d5 in ff_filter_activate_default libavfilter/avfilter.c:1339
    #11 0x61f4d5 in ff_filter_activate libavfilter/avfilter.c:1500
    #12 0x62f1d7 in push_frame libavfilter/buffersrc.c:181
    #13 0x62f1d7 in av_buffersrc_add_frame_internal libavfilter/buffersrc.c:255
    #14 0x62f1d7 in av_buffersrc_add_frame_flags libavfilter/buffersrc.c:164
    #15 0x5c25f4 in ifilter_send_frame fftools/ffmpeg.c:2216
    #16 0x5c25f4 in send_frame_to_filters fftools/ffmpeg.c:2295
    #17 0x5c433c in decode_video fftools/ffmpeg.c:2496
    #18 0x5cadb0 in process_input_packet fftools/ffmpeg.c:2650
    #19 0x55a0b9 in seek_to_start fftools/ffmpeg.c:4163
    #20 0x55a0b9 in process_input fftools/ffmpeg.c:4232
    #21 0x55a0b9 in transcode_step fftools/ffmpeg.c:4570
    #22 0x55a0b9 in transcode fftools/ffmpeg.c:4624
    #23 0x55a0b9 in main fftools/ffmpeg.c:4830
    #24 0x7f7b1e546349 in __libc_start_main (/lib64/libc.so.6+0x24349)
    #25 0x5703d9 in _start (/build/ffmpeg-3.4.2/ffmpeg_g+0x5703d9)

0x619000001460 is located 32 bytes to the left of 1055-byte region [0x619000001480,0x61900000189f)
allocated by thread T0 here:                               
    #0 0x7f7b1f32c038 in posix_memalign (/usr/lib64/libasan.so.4+0xdd038)
    #1 0x263a8bc in av_malloc libavutil/mem.c:87
Comment 2 Robert Frohl 2021-05-28 14:03:50 UTC
tracking as affected:

- SUSE:SLE-15:Update/ffmpeg
- SUSE:SLE-15-SP2:Update/ffmpeg
Comment 3 Alynx Zhou 2021-06-04 07:57:34 UTC
Upstream cannot reproduce this bug and closed as fixed.
Comment 4 Alynx Zhou 2021-06-08 09:15:23 UTC
This seems fixed by 0e68e8c93f9068596484ec8ba725586860e06fc8.
Comment 5 Alynx Zhou 2021-06-11 08:27:11 UTC
https://build.suse.de/request/show/243003
Comment 9 Swamp Workflow Management 2021-07-14 19:53:40 UTC
openSUSE-SU-2021:2322-1: An update that fixes 23 vulnerabilities is now available.

Category: security (important)
Bug References: 1172640,1186406,1186583,1186586,1186587,1186596,1186597,1186598,1186600,1186603,1186604,1186605,1186613,1186614,1186615,1186616,1186658,1186660,1186757,1186758,1186762,1186763
CVE References: CVE-2019-17539,CVE-2020-13904,CVE-2020-20448,CVE-2020-20451,CVE-2020-21041,CVE-2020-22015,CVE-2020-22016,CVE-2020-22017,CVE-2020-22019,CVE-2020-22020,CVE-2020-22021,CVE-2020-22022,CVE-2020-22023,CVE-2020-22025,CVE-2020-22026,CVE-2020-22031,CVE-2020-22032,CVE-2020-22033,CVE-2020-22034,CVE-2020-22038,CVE-2020-22039,CVE-2020-22043,CVE-2020-22044
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    ffmpeg-3.4.2-11.3.1
Comment 10 Swamp Workflow Management 2021-07-14 20:15:20 UTC
SUSE-SU-2021:2322-1: An update that fixes 23 vulnerabilities is now available.

Category: security (important)
Bug References: 1172640,1186406,1186583,1186586,1186587,1186596,1186597,1186598,1186600,1186603,1186604,1186605,1186613,1186614,1186615,1186616,1186658,1186660,1186757,1186758,1186762,1186763
CVE References: CVE-2019-17539,CVE-2020-13904,CVE-2020-20448,CVE-2020-20451,CVE-2020-21041,CVE-2020-22015,CVE-2020-22016,CVE-2020-22017,CVE-2020-22019,CVE-2020-22020,CVE-2020-22021,CVE-2020-22022,CVE-2020-22023,CVE-2020-22025,CVE-2020-22026,CVE-2020-22031,CVE-2020-22032,CVE-2020-22033,CVE-2020-22034,CVE-2020-22038,CVE-2020-22039,CVE-2020-22043,CVE-2020-22044
JIRA References: 
Sources used:
SUSE Linux Enterprise Workstation Extension 15-SP3 (src):    ffmpeg-3.4.2-11.3.1
SUSE Linux Enterprise Workstation Extension 15-SP2 (src):    ffmpeg-3.4.2-11.3.1
SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP3 (src):    ffmpeg-3.4.2-11.3.1
SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP2 (src):    ffmpeg-3.4.2-11.3.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP3 (src):    ffmpeg-3.4.2-11.3.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP2 (src):    ffmpeg-3.4.2-11.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 13 Swamp Workflow Management 2021-09-02 16:18:33 UTC
# maintenance_jira_update_notice
SUSE-SU-2021:2929-1: An update that fixes 31 vulnerabilities is now available.

Category: security (important)
Bug References: 1129714,1172640,1186406,1186583,1186586,1186587,1186596,1186597,1186598,1186600,1186603,1186604,1186605,1186613,1186614,1186615,1186616,1186658,1186660,1186757,1186758,1186762,1186763,1186849,1186859,1186861,1186863,1189142,1189348,1189350
CVE References: CVE-2019-17539,CVE-2019-9721,CVE-2020-13904,CVE-2020-20448,CVE-2020-20451,CVE-2020-21041,CVE-2020-21688,CVE-2020-21697,CVE-2020-22015,CVE-2020-22016,CVE-2020-22017,CVE-2020-22019,CVE-2020-22020,CVE-2020-22021,CVE-2020-22022,CVE-2020-22023,CVE-2020-22025,CVE-2020-22026,CVE-2020-22031,CVE-2020-22032,CVE-2020-22033,CVE-2020-22034,CVE-2020-22038,CVE-2020-22039,CVE-2020-22043,CVE-2020-22044,CVE-2020-22046,CVE-2020-22048,CVE-2020-22049,CVE-2020-22054,CVE-2021-38114
JIRA References: 
Sources used:
SUSE Manager Server 4.0 (src):    ffmpeg-3.4.2-4.34.2
SUSE Manager Retail Branch Server 4.0 (src):    ffmpeg-3.4.2-4.34.2
SUSE Manager Proxy 4.0 (src):    ffmpeg-3.4.2-4.34.2
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    ffmpeg-3.4.2-4.34.2
SUSE Linux Enterprise Server for SAP 15 (src):    ffmpeg-3.4.2-4.34.2
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    ffmpeg-3.4.2-4.34.2
SUSE Linux Enterprise Server 15-SP1-BCL (src):    ffmpeg-3.4.2-4.34.2
SUSE Linux Enterprise Server 15-LTSS (src):    ffmpeg-3.4.2-4.34.2
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    ffmpeg-3.4.2-4.34.2
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    ffmpeg-3.4.2-4.34.2
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    ffmpeg-3.4.2-4.34.2
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    ffmpeg-3.4.2-4.34.2
SUSE Enterprise Storage 6 (src):    ffmpeg-3.4.2-4.34.2
SUSE CaaS Platform 4.0 (src):    ffmpeg-3.4.2-4.34.2

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.